Sicherungen · API
Aus dem OpenAPI-Stand erzeugt. Quellzusammenfassungen bleiben unverändert; die JSON-Schemas unten sind die exakten exportierten Definitionen.
GET /api/v1/backups/full
Einstellungen und Stand des verschlüsselten Vollbackups (.adbbackup) und der Prüfung
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: admin
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
Keine Pfad- oder Query-Parameter deklariert.
Kein Anfragekörper deklariert.
Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"schedule",
"target_dir",
"include_cookies",
"password_stored",
"running",
"last_run",
"last_success_at",
"next_due_at",
"last_verify",
"last_verify_ok_at"
],
"properties": {
"schedule": {
"type": "string"
},
"target_dir": {
"type": [
"null",
"string"
]
},
"include_cookies": {
"type": "boolean"
},
"password_stored": {
"type": "boolean"
},
"running": {
"type": "boolean"
},
"last_run": {
"anyOf": [
{
"type": "object",
"required": [
"at",
"ok",
"trigger",
"path",
"size_bytes",
"profiles",
"warnings",
"pruned",
"error"
],
"properties": {
"at": {
"type": "integer"
},
"ok": {
"type": "boolean"
},
"trigger": {
"type": "string"
},
"path": {
"type": [
"string",
"null"
]
},
"size_bytes": {
"type": [
"integer",
"null"
]
},
"profiles": {
"type": [
"integer",
"null"
]
},
"warnings": {
"type": "integer"
},
"pruned": {
"type": "integer"
},
"error": {
"type": [
"string",
"null"
]
}
}
},
{
"type": "null"
}
]
},
"last_success_at": {
"type": [
"null",
"integer"
]
},
"next_due_at": {
"type": [
"null",
"integer"
]
},
"last_verify": {
"anyOf": [
{
"type": "object",
"required": [
"at",
"ok",
"db",
"full"
],
"properties": {
"at": {
"type": "integer"
},
"ok": {
"type": "boolean"
},
"db": {
"type": "object",
"required": [
"file",
"ok",
"profiles",
"error"
],
"properties": {
"file": {
"type": [
"null",
"string"
]
},
"ok": {
"type": [
"null",
"boolean"
]
},
"profiles": {
"type": [
"null",
"integer"
]
},
"error": {
"type": [
"null",
"string"
]
}
}
},
"full": {
"type": "object",
"required": [
"file",
"ok",
"profiles",
"error"
],
"properties": {
"file": {
"type": [
"null",
"string"
]
},
"ok": {
"type": [
"null",
"boolean"
]
},
"profiles": {
"type": [
"null",
"integer"
]
},
"error": {
"type": [
"null",
"string"
]
}
}
}
}
},
{
"type": "null"
}
]
},
"last_verify_ok_at": {
"type": [
"null",
"integer"
]
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Einstellungen und Stand des verschlüsselten Vollbackups (.adbbackup) und der Prüfung",
"tags": [
"Sicherungen"
],
"x-required-scopes": [
"admin"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"schedule",
"target_dir",
"include_cookies",
"password_stored",
"running",
"last_run",
"last_success_at",
"next_due_at",
"last_verify",
"last_verify_ok_at"
],
"properties": {
"schedule": {
"type": "string"
},
"target_dir": {
"type": [
"null",
"string"
]
},
"include_cookies": {
"type": "boolean"
},
"password_stored": {
"type": "boolean"
},
"running": {
"type": "boolean"
},
"last_run": {
"anyOf": [
{
"type": "object",
"required": [
"at",
"ok",
"trigger",
"path",
"size_bytes",
"profiles",
"warnings",
"pruned",
"error"
],
"properties": {
"at": {
"type": "integer"
},
"ok": {
"type": "boolean"
},
"trigger": {
"type": "string"
},
"path": {
"type": [
"string",
"null"
]
},
"size_bytes": {
"type": [
"integer",
"null"
]
},
"profiles": {
"type": [
"integer",
"null"
]
},
"warnings": {
"type": "integer"
},
"pruned": {
"type": "integer"
},
"error": {
"type": [
"string",
"null"
]
}
}
},
{
"type": "null"
}
]
},
"last_success_at": {
"type": [
"null",
"integer"
]
},
"next_due_at": {
"type": [
"null",
"integer"
]
},
"last_verify": {
"anyOf": [
{
"type": "object",
"required": [
"at",
"ok",
"db",
"full"
],
"properties": {
"at": {
"type": "integer"
},
"ok": {
"type": "boolean"
},
"db": {
"type": "object",
"required": [
"file",
"ok",
"profiles",
"error"
],
"properties": {
"file": {
"type": [
"null",
"string"
]
},
"ok": {
"type": [
"null",
"boolean"
]
},
"profiles": {
"type": [
"null",
"integer"
]
},
"error": {
"type": [
"null",
"string"
]
}
}
},
"full": {
"type": "object",
"required": [
"file",
"ok",
"profiles",
"error"
],
"properties": {
"file": {
"type": [
"null",
"string"
]
},
"ok": {
"type": [
"null",
"boolean"
]
},
"profiles": {
"type": [
"null",
"integer"
]
},
"error": {
"type": [
"null",
"string"
]
}
}
}
}
},
{
"type": "null"
}
]
},
"last_verify_ok_at": {
"type": [
"null",
"integer"
]
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}POST /api/v1/backups/full
Vollbackup jetzt erstellen: alle Profile portabel, Proxys, Gruppen, Tags, Erweiterungsbibliothek und RPA-Abläufe; verschlüsselt, geprüft und erst dann in den Zielordner verschoben
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: admin
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
Keine Pfad- oder Query-Parameter deklariert.
Anfragekörper · erforderlich
{
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"target_dir": {
"type": "string",
"minLength": 3,
"maxLength": 1024
},
"password": {
"type": "string",
"minLength": 1,
"maxLength": 1024
}
},
"additionalProperties": false
}
}
}
}Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"path",
"size_bytes",
"sha256",
"proxies",
"groups",
"tags",
"extensions",
"extension_sets",
"workflows",
"pruned",
"warnings",
"profiles"
],
"properties": {
"path": {
"type": "string"
},
"size_bytes": {
"type": "integer"
},
"sha256": {
"type": "string"
},
"proxies": {
"type": "integer"
},
"groups": {
"type": "integer"
},
"tags": {
"type": "integer"
},
"extensions": {
"type": "integer"
},
"extension_sets": {
"type": "integer"
},
"workflows": {
"type": "integer"
},
"pruned": {
"type": "integer"
},
"warnings": {
"type": "array",
"items": {
"type": "string"
}
},
"profiles": {
"type": "array",
"items": {
"type": "object",
"required": [
"id",
"no",
"name",
"cookies",
"files",
"warnings"
],
"properties": {
"id": {
"type": "string"
},
"no": {
"type": "integer"
},
"name": {
"type": "string"
},
"cookies": {
"type": [
"null",
"integer"
]
},
"files": {
"type": "integer"
},
"warnings": {
"type": "array",
"items": {
"type": "string"
}
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Vollbackup jetzt erstellen: alle Profile portabel, Proxys, Gruppen, Tags, Erweiterungsbibliothek und RPA-Abläufe; verschlüsselt, geprüft und erst dann in den Zielordner verschoben",
"tags": [
"Sicherungen"
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"target_dir": {
"type": "string",
"minLength": 3,
"maxLength": 1024
},
"password": {
"type": "string",
"minLength": 1,
"maxLength": 1024
}
},
"additionalProperties": false
}
}
}
},
"x-required-scopes": [
"admin"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"path",
"size_bytes",
"sha256",
"proxies",
"groups",
"tags",
"extensions",
"extension_sets",
"workflows",
"pruned",
"warnings",
"profiles"
],
"properties": {
"path": {
"type": "string"
},
"size_bytes": {
"type": "integer"
},
"sha256": {
"type": "string"
},
"proxies": {
"type": "integer"
},
"groups": {
"type": "integer"
},
"tags": {
"type": "integer"
},
"extensions": {
"type": "integer"
},
"extension_sets": {
"type": "integer"
},
"workflows": {
"type": "integer"
},
"pruned": {
"type": "integer"
},
"warnings": {
"type": "array",
"items": {
"type": "string"
}
},
"profiles": {
"type": "array",
"items": {
"type": "object",
"required": [
"id",
"no",
"name",
"cookies",
"files",
"warnings"
],
"properties": {
"id": {
"type": "string"
},
"no": {
"type": "integer"
},
"name": {
"type": "string"
},
"cookies": {
"type": [
"null",
"integer"
]
},
"files": {
"type": "integer"
},
"warnings": {
"type": "array",
"items": {
"type": "string"
}
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}PUT /api/v1/backups/full/settings
Zeitplan, Zielordner und gespeichertes Passwort für Vollbackups festlegen (Passwort liegt dann im Tresor)
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: admin
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
Keine Pfad- oder Query-Parameter deklariert.
Anfragekörper · erforderlich
{
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"schedule": {
"anyOf": [
{
"type": "string",
"enum": [
"off"
]
},
{
"type": "string",
"enum": [
"daily"
]
},
{
"type": "string",
"enum": [
"weekly"
]
}
]
},
"target_dir": {
"type": [
"string",
"null"
],
"minLength": 3,
"maxLength": 1024
},
"include_cookies": {
"type": "boolean"
},
"password": {
"type": "string",
"minLength": 12,
"maxLength": 1024
},
"clear_password": {
"type": "boolean"
}
},
"additionalProperties": false
}
}
}
}Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"schedule",
"target_dir",
"include_cookies",
"password_stored",
"running",
"last_run",
"last_success_at",
"next_due_at",
"last_verify",
"last_verify_ok_at"
],
"properties": {
"schedule": {
"type": "string"
},
"target_dir": {
"type": [
"null",
"string"
]
},
"include_cookies": {
"type": "boolean"
},
"password_stored": {
"type": "boolean"
},
"running": {
"type": "boolean"
},
"last_run": {
"anyOf": [
{
"type": "object",
"required": [
"at",
"ok",
"trigger",
"path",
"size_bytes",
"profiles",
"warnings",
"pruned",
"error"
],
"properties": {
"at": {
"type": "integer"
},
"ok": {
"type": "boolean"
},
"trigger": {
"type": "string"
},
"path": {
"type": [
"string",
"null"
]
},
"size_bytes": {
"type": [
"integer",
"null"
]
},
"profiles": {
"type": [
"integer",
"null"
]
},
"warnings": {
"type": "integer"
},
"pruned": {
"type": "integer"
},
"error": {
"type": [
"string",
"null"
]
}
}
},
{
"type": "null"
}
]
},
"last_success_at": {
"type": [
"null",
"integer"
]
},
"next_due_at": {
"type": [
"null",
"integer"
]
},
"last_verify": {
"anyOf": [
{
"type": "object",
"required": [
"at",
"ok",
"db",
"full"
],
"properties": {
"at": {
"type": "integer"
},
"ok": {
"type": "boolean"
},
"db": {
"type": "object",
"required": [
"file",
"ok",
"profiles",
"error"
],
"properties": {
"file": {
"type": [
"null",
"string"
]
},
"ok": {
"type": [
"null",
"boolean"
]
},
"profiles": {
"type": [
"null",
"integer"
]
},
"error": {
"type": [
"null",
"string"
]
}
}
},
"full": {
"type": "object",
"required": [
"file",
"ok",
"profiles",
"error"
],
"properties": {
"file": {
"type": [
"null",
"string"
]
},
"ok": {
"type": [
"null",
"boolean"
]
},
"profiles": {
"type": [
"null",
"integer"
]
},
"error": {
"type": [
"null",
"string"
]
}
}
}
}
},
{
"type": "null"
}
]
},
"last_verify_ok_at": {
"type": [
"null",
"integer"
]
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Zeitplan, Zielordner und gespeichertes Passwort für Vollbackups festlegen (Passwort liegt dann im Tresor)",
"tags": [
"Sicherungen"
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"schedule": {
"anyOf": [
{
"type": "string",
"enum": [
"off"
]
},
{
"type": "string",
"enum": [
"daily"
]
},
{
"type": "string",
"enum": [
"weekly"
]
}
]
},
"target_dir": {
"type": [
"string",
"null"
],
"minLength": 3,
"maxLength": 1024
},
"include_cookies": {
"type": "boolean"
},
"password": {
"type": "string",
"minLength": 12,
"maxLength": 1024
},
"clear_password": {
"type": "boolean"
}
},
"additionalProperties": false
}
}
}
},
"x-required-scopes": [
"admin"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"schedule",
"target_dir",
"include_cookies",
"password_stored",
"running",
"last_run",
"last_success_at",
"next_due_at",
"last_verify",
"last_verify_ok_at"
],
"properties": {
"schedule": {
"type": "string"
},
"target_dir": {
"type": [
"null",
"string"
]
},
"include_cookies": {
"type": "boolean"
},
"password_stored": {
"type": "boolean"
},
"running": {
"type": "boolean"
},
"last_run": {
"anyOf": [
{
"type": "object",
"required": [
"at",
"ok",
"trigger",
"path",
"size_bytes",
"profiles",
"warnings",
"pruned",
"error"
],
"properties": {
"at": {
"type": "integer"
},
"ok": {
"type": "boolean"
},
"trigger": {
"type": "string"
},
"path": {
"type": [
"string",
"null"
]
},
"size_bytes": {
"type": [
"integer",
"null"
]
},
"profiles": {
"type": [
"integer",
"null"
]
},
"warnings": {
"type": "integer"
},
"pruned": {
"type": "integer"
},
"error": {
"type": [
"string",
"null"
]
}
}
},
{
"type": "null"
}
]
},
"last_success_at": {
"type": [
"null",
"integer"
]
},
"next_due_at": {
"type": [
"null",
"integer"
]
},
"last_verify": {
"anyOf": [
{
"type": "object",
"required": [
"at",
"ok",
"db",
"full"
],
"properties": {
"at": {
"type": "integer"
},
"ok": {
"type": "boolean"
},
"db": {
"type": "object",
"required": [
"file",
"ok",
"profiles",
"error"
],
"properties": {
"file": {
"type": [
"null",
"string"
]
},
"ok": {
"type": [
"null",
"boolean"
]
},
"profiles": {
"type": [
"null",
"integer"
]
},
"error": {
"type": [
"null",
"string"
]
}
}
},
"full": {
"type": "object",
"required": [
"file",
"ok",
"profiles",
"error"
],
"properties": {
"file": {
"type": [
"null",
"string"
]
},
"ok": {
"type": [
"null",
"boolean"
]
},
"profiles": {
"type": [
"null",
"integer"
]
},
"error": {
"type": [
"null",
"string"
]
}
}
}
}
},
{
"type": "null"
}
]
},
"last_verify_ok_at": {
"type": [
"null",
"integer"
]
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}POST /api/v1/backups/verify
Sicherungen prüfen: neueste Datenbanksicherung (integrity_check an einer Kopie) und neuestes Vollbackup entschlüsseln und Prüfsummen vergleichen, ohne etwas einzuspielen
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: admin
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
Keine Pfad- oder Query-Parameter deklariert.
Anfragekörper · erforderlich
{
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"password": {
"type": "string",
"minLength": 1,
"maxLength": 1024
}
},
"additionalProperties": false
}
}
}
}Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"at",
"ok",
"db",
"full"
],
"properties": {
"at": {
"type": "integer"
},
"ok": {
"type": "boolean"
},
"db": {
"type": "object",
"required": [
"file",
"ok",
"profiles",
"error"
],
"properties": {
"file": {
"type": [
"null",
"string"
]
},
"ok": {
"type": [
"null",
"boolean"
]
},
"profiles": {
"type": [
"null",
"integer"
]
},
"error": {
"type": [
"null",
"string"
]
}
}
},
"full": {
"type": "object",
"required": [
"file",
"ok",
"profiles",
"error"
],
"properties": {
"file": {
"type": [
"null",
"string"
]
},
"ok": {
"type": [
"null",
"boolean"
]
},
"profiles": {
"type": [
"null",
"integer"
]
},
"error": {
"type": [
"null",
"string"
]
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Sicherungen prüfen: neueste Datenbanksicherung (integrity_check an einer Kopie) und neuestes Vollbackup entschlüsseln und Prüfsummen vergleichen, ohne etwas einzuspielen",
"tags": [
"Sicherungen"
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"password": {
"type": "string",
"minLength": 1,
"maxLength": 1024
}
},
"additionalProperties": false
}
}
}
},
"x-required-scopes": [
"admin"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"at",
"ok",
"db",
"full"
],
"properties": {
"at": {
"type": "integer"
},
"ok": {
"type": "boolean"
},
"db": {
"type": "object",
"required": [
"file",
"ok",
"profiles",
"error"
],
"properties": {
"file": {
"type": [
"null",
"string"
]
},
"ok": {
"type": [
"null",
"boolean"
]
},
"profiles": {
"type": [
"null",
"integer"
]
},
"error": {
"type": [
"null",
"string"
]
}
}
},
"full": {
"type": "object",
"required": [
"file",
"ok",
"profiles",
"error"
],
"properties": {
"file": {
"type": [
"null",
"string"
]
},
"ok": {
"type": [
"null",
"boolean"
]
},
"profiles": {
"type": [
"null",
"integer"
]
},
"error": {
"type": [
"null",
"string"
]
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}GET /api/v1/backups
Datenbanksicherungen (täglich, vor Migrationen, vor Massenänderungen)
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: admin
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
Keine Pfad- oder Query-Parameter deklariert.
Kein Anfragekörper deklariert.
Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"items",
"pending_restore"
],
"properties": {
"items": {
"type": "array",
"items": {
"type": "object",
"required": [
"id",
"kind",
"file_name",
"path",
"size_bytes",
"created_at",
"note",
"exists"
],
"properties": {
"id": {
"type": "string"
},
"kind": {
"type": "string"
},
"file_name": {
"type": "string"
},
"path": {
"type": "string"
},
"size_bytes": {
"type": "integer"
},
"created_at": {
"type": "integer"
},
"note": {
"type": [
"null",
"string"
]
},
"exists": {
"type": "boolean"
}
}
}
},
"pending_restore": {
"anyOf": [
{
"type": "object",
"required": [
"backup_id",
"file",
"created_at",
"requested_at"
],
"properties": {
"backup_id": {
"type": "string"
},
"file": {
"type": "string"
},
"created_at": {
"type": "integer"
},
"requested_at": {
"type": "integer"
}
}
},
{
"type": "null"
}
]
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Datenbanksicherungen (täglich, vor Migrationen, vor Massenänderungen)",
"tags": [
"Sicherungen"
],
"x-required-scopes": [
"admin"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"items",
"pending_restore"
],
"properties": {
"items": {
"type": "array",
"items": {
"type": "object",
"required": [
"id",
"kind",
"file_name",
"path",
"size_bytes",
"created_at",
"note",
"exists"
],
"properties": {
"id": {
"type": "string"
},
"kind": {
"type": "string"
},
"file_name": {
"type": "string"
},
"path": {
"type": "string"
},
"size_bytes": {
"type": "integer"
},
"created_at": {
"type": "integer"
},
"note": {
"type": [
"null",
"string"
]
},
"exists": {
"type": "boolean"
}
}
}
},
"pending_restore": {
"anyOf": [
{
"type": "object",
"required": [
"backup_id",
"file",
"created_at",
"requested_at"
],
"properties": {
"backup_id": {
"type": "string"
},
"file": {
"type": "string"
},
"created_at": {
"type": "integer"
},
"requested_at": {
"type": "integer"
}
}
},
{
"type": "null"
}
]
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}POST /api/v1/backups/db
Datenbank jetzt sichern (VACUUM INTO)
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: admin
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
Keine Pfad- oder Query-Parameter deklariert.
Kein Anfragekörper deklariert.
Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"id",
"kind",
"file_name",
"path",
"size_bytes",
"created_at",
"note",
"exists"
],
"properties": {
"id": {
"type": "string"
},
"kind": {
"type": "string"
},
"file_name": {
"type": "string"
},
"path": {
"type": "string"
},
"size_bytes": {
"type": "integer"
},
"created_at": {
"type": "integer"
},
"note": {
"type": [
"null",
"string"
]
},
"exists": {
"type": "boolean"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Datenbank jetzt sichern (VACUUM INTO)",
"tags": [
"Sicherungen"
],
"x-required-scopes": [
"admin"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"id",
"kind",
"file_name",
"path",
"size_bytes",
"created_at",
"note",
"exists"
],
"properties": {
"id": {
"type": "string"
},
"kind": {
"type": "string"
},
"file_name": {
"type": "string"
},
"path": {
"type": "string"
},
"size_bytes": {
"type": "integer"
},
"created_at": {
"type": "integer"
},
"note": {
"type": [
"null",
"string"
]
},
"exists": {
"type": "boolean"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}POST /api/v1/backups/{id}/restore
Wiederherstellung vormerken: Die Sicherung wird geprüft und beim nächsten Core-Start eingespielt; der aktuelle Stand wird vorher gesichert
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: admin
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
| Name | Ort | Pflicht | Beschreibung |
|---|---|---|---|
id | path | Ja |
Vollständige Parameterschemas
[
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
]Kein Anfragekörper deklariert.
Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"pending_restore",
"restart_required"
],
"properties": {
"pending_restore": {
"anyOf": [
{
"type": "object",
"required": [
"backup_id",
"file",
"created_at",
"requested_at"
],
"properties": {
"backup_id": {
"type": "string"
},
"file": {
"type": "string"
},
"created_at": {
"type": "integer"
},
"requested_at": {
"type": "integer"
}
}
},
{
"type": "null"
}
]
},
"restart_required": {
"type": "boolean"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Wiederherstellung vormerken: Die Sicherung wird geprüft und beim nächsten Core-Start eingespielt; der aktuelle Stand wird vorher gesichert",
"tags": [
"Sicherungen"
],
"parameters": [
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
],
"x-required-scopes": [
"admin"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"pending_restore",
"restart_required"
],
"properties": {
"pending_restore": {
"anyOf": [
{
"type": "object",
"required": [
"backup_id",
"file",
"created_at",
"requested_at"
],
"properties": {
"backup_id": {
"type": "string"
},
"file": {
"type": "string"
},
"created_at": {
"type": "integer"
},
"requested_at": {
"type": "integer"
}
}
},
{
"type": "null"
}
]
},
"restart_required": {
"type": "boolean"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}DELETE /api/v1/backups/restore-pending
Vorgemerkte Wiederherstellung verwerfen
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: admin
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
Keine Pfad- oder Query-Parameter deklariert.
Kein Anfragekörper deklariert.
Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"pending_restore"
],
"properties": {
"pending_restore": {
"anyOf": [
{
"type": "object",
"required": [
"backup_id",
"file",
"created_at",
"requested_at"
],
"properties": {
"backup_id": {
"type": "string"
},
"file": {
"type": "string"
},
"created_at": {
"type": "integer"
},
"requested_at": {
"type": "integer"
}
}
},
{
"type": "null"
}
]
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Vorgemerkte Wiederherstellung verwerfen",
"tags": [
"Sicherungen"
],
"x-required-scopes": [
"admin"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"pending_restore"
],
"properties": {
"pending_restore": {
"anyOf": [
{
"type": "object",
"required": [
"backup_id",
"file",
"created_at",
"requested_at"
],
"properties": {
"backup_id": {
"type": "string"
},
"file": {
"type": "string"
},
"created_at": {
"type": "integer"
},
"requested_at": {
"type": "integer"
}
}
},
{
"type": "null"
}
]
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}DELETE /api/v1/backups/{id}
Sicherung löschen
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: admin
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
| Name | Ort | Pflicht | Beschreibung |
|---|---|---|---|
id | path | Ja |
Vollständige Parameterschemas
[
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
]Kein Anfragekörper deklariert.
Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"id",
"removed"
],
"properties": {
"id": {
"type": "string"
},
"removed": {
"type": "boolean"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Sicherung löschen",
"tags": [
"Sicherungen"
],
"parameters": [
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
],
"x-required-scopes": [
"admin"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"id",
"removed"
],
"properties": {
"id": {
"type": "string"
},
"removed": {
"type": "boolean"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}